/* Árak és csomagok szekció stílusok */
.pricing-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    padding: 20px;
    margin: auto;
    background-image: linear-gradient(rgba(36, 35, 35, 0.732), rgba(5, 6, 5, 0.91)), url('../assets/fitness-3439343.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    overflow-x: hidden;
    min-height: 100vh;
    position: relative; 
}

.pricing-title {
    margin-bottom: 10px;
    font-size: 3rem;
    margin-top: 150px;
    font-weight: bold;
    color: rgba(112, 253, 154, 0.874);
    text-align: center; 
}

.pricing-sub-title {
    margin-bottom: 10px;
    font-size: 1.2rem;
    font-weight: bold;
    font-style: italic;
    color: white;
    text-align: center; 
}

.pricing-cards {
    display: flex;
    flex-wrap: wrap; 
    gap: 30px;
    justify-content: center; 
    align-items: center; 
    width: 100%;
    margin-bottom: 50px;
}

.pricing-card {
    width: 350px;
    background: #ccc6c6;
    box-shadow: 0 6px 8px rgba(0, 0, 0, 0.1);
    position: relative;
    overflow: visible;
    margin: auto;
    align-items: center;
}

.pricing-header {
    text-align: center;
    padding: 30px;
    background: linear-gradient(135deg, rgba(112, 253, 154, 0.9), rgba(94, 216, 132, 0.9));
    clip-path: polygon(0 0, 100% 0, 100% 85%, 0 100%);
}

#standard .pricing-header {
    background: linear-gradient(135deg, rgba(85, 190, 112, 0.95), rgba(60, 153, 92, 0.9));
}

#premium .pricing-header {
    background: linear-gradient(135deg, rgba(72, 148, 84, 0.95), rgba(43, 115, 70, 0.9));
}

#premium-package .pricing-header {
    background: linear-gradient(135deg, rgba(76, 178, 73, 0.85), rgba(7, 101, 1, 0.9));
}

.price {
    font-size: 20px;  
    font-weight: bold;
    color: #fff;
}

.pricing-cards h3 {
    font-size: 28px;
    margin-bottom: 20px;
}

.pricing-body {
    padding: 30px;  
    position: relative;
}

.pricing-details {
    color: white;
    font-size: 1.2rem;
    padding: 0;
    margin: 0;
}

.pricing-details li {
    margin: 15px 0;
    font-size: 1.1rem;
    color: #555;
}

.email-button {
    position: absolute; 
    bottom: -20px; 
    left: 50%; 
    transform: translateX(-50%); 
    background: #7DFF91;
    padding: 12px 25px; 
    border-radius: 25px; 
    cursor: pointer;
    transition: background 0.3s ease, color 0.3s ease;
}

.email-button:hover {
    background: #333;
    color: #fff;
}

/* Popup formok */
.popup {
    display: none; 
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9999; 
}

.popup-content {
    background-color: #f9f9f9;
    padding: 30px;
    width: 100%;
    max-width: 500px;
    margin: 100px auto;
    border-radius: 10px;
    position: relative;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.popup-content h2{
    text-align: center;
}

.close {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 24px;
    font-weight: bold;
    cursor: pointer;
}

input[type="text"],
input[type="email"],
textarea {
    width: 100%;
    padding: 12px 15px;
    margin: 10px 0;
    border: 1px solid #ddd;
    border-radius: 5px;
    font-size: 16px;
    resize: none;
}

textarea {
    height: 100px;
}

.popup button {
    background-color: rgba(66, 239, 118, 0.874);
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    width: 100%;
}

.popup button:hover {
    background-color: rgba(112, 253, 154, 0.874);
}

.card ul {
    list-style-type: none;
    padding: 0;
    margin-bottom: 20px;
    text-align: center;
}

.card ul li {
    margin-bottom: 10px;
}

.card button {
    background-color: #444;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1em;
}

.card button:hover {
    background-color: #7DFF91;
    color: #111;
}
